none
Não consigo gerar APK com Cordova "A plataforma android já existe" Visual Studio 2017 community RRS feed

  • Discussão Geral

  • Estou desesperadamente tentando compilar um projeto Cordova no Visual Studio 2017 community mas sem sucesso.

    Faz quase uma semana que tento de tudo todos os dias e nada dá certo. Já segui vários tutoriais, parece uma coisa simples e fácil mas simplesmente não está gerando o apk.

    Eu já reinstalei o Visual Studio, e também já intalei todas as dependências necessárias de acordo com esse site:

    Se ainda não estiver instalado, o seguinte software será selecionado por padrão:
    O SDK do Android é necessário para o processo de compilação do Android e do Ripple.
    O Apache Ant 1.8.0 ou posterior é necessário para os processos de compilação do Android.
    Oracle Java JDK 7 de 32 bits é necessário para o processo de compilação Android.
    Node. js joyent permite que o Visual Studio para integrar o simulador Apache Cordova Interface de linha de comando (CLI) e Apache ondulação.

    https://msdn.microsoft.com/pt-BR/library/dn757054.aspx

    Já fiz downgrade do Android SDK mas mesmo assim, nada.

    Continua dando o erro: "A plataforma android já existe" e não compila o APK.

    O que fazer? Já criei duas perguntas no Stack, uma em português e outra em inglês, ninguem responde. Todo lugar que pergunta isso na internet não tem uma resposta satisfátória.

    https://pt.stackoverflow.com/questions/254150/visual-studio-2017-cordova-compilar-apk

    https://stackoverflow.com/questions/47229790/visual-studio-2017-cordova-not-building-apk

    Já instalei em dois PCs o Visual Studio e mesmo assim dá o mesmo problema.

    Não sei mais o que posso fazer, alguém tem uma sugestão?


    sábado, 11 de novembro de 2017 16:38

Todas as Respostas

  • Olá, Shuantsu... já conseguiu resolver o problema "A plataformna android já existe" ? Conseguiu gerar o apk? É que eu estou (em 05_11_2018) com o mesmo problema e, depois de pesquisar muito na net, ainda não vi solução. Se conseguiu, favor postar algo aqui, ou, meu e-mail é: renironi10@gmail.com. Grato.
    segunda-feira, 5 de novembro de 2018 17:29
  • Olá, você já instalou todos esses requisitos:
    SDK do Android (versão do Android que você quer que o App funcione. ex: KitKat)
    Apache 1.8.0 (necessário para emular o seu App)
    Oracle JDK 7 (necessário para executar o Android)
    Node.Js (necessário para emular o seu App)
    esses sistemas não veem instalados por default. Alguns deles você vai precisar entrar no site do proprietário e realizar o download, outros você consegue pelo próprio visual studio.
    Abs!

    Leandro de Agostini MCTS - Web Application, Framework 4

    terça-feira, 6 de novembro de 2018 13:14